Package de.gebit.integrity.parameter.resolving

## Enum TableTestParameterResolveMethod

- java.lang.Object
- - java.lang.Enum<TableTestParameterResolveMethod>
  - - de.gebit.integrity.parameter.resolving.TableTestParameterResolveMethod

- All Implemented Interfaces:
    `Serializable`, `Comparable<TableTestParameterResolveMethod>`

      public enum TableTestParameterResolveMethod
      extends Enum<TableTestParameterResolveMethod>

  Table test parameters may be resolved with different scope.
  Author:
    Rene Schneider - initial API and implementation

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COMBINED` | Resolve both kinds of tabletest parameters: those that are provided for all lines, and those that are provided individually per line.
    `ONLY_COMMON` | Only resolve parameters for which a value is provided that is the same for all lines.
    `ONLY_INDIVIDUAL` | Only resolve parameters for which a value is provided individually per line.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TableTestParameterResolveMethod` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static TableTestParameterResolveMethod[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COMBINED

          public static final TableTestParameterResolveMethod COMBINED

      Resolve both kinds of tabletest parameters: those that are provided for all lines, and those that are provided individually per line.

    - #### ONLY_INDIVIDUAL

          public static final TableTestParameterResolveMethod ONLY_INDIVIDUAL

      Only resolve parameters for which a value is provided individually per line.

    - #### ONLY_COMMON

          public static final TableTestParameterResolveMethod ONLY_COMMON

      Only resolve parameters for which a value is provided that is the same for all lines.

  - ### Method Detail

    - #### values

          public static TableTestParameterResolveMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TableTestParameterResolveMethod c : TableTestParameterResolveMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TableTestParameterResolveMethod valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null